.slider {
  block-size: .25rem;

  border-radius: .25rem;
  background: rgba(255,255,255,.2);
}


.slider-progress {
  position: relative;
  inline-size: 20%;
  block-size: inherit;

  border-radius: inherit;
  background: var(--white);
}

.slider:hover .slider-progress {
  background: var(--primaryColor);
}

.slider-button {
  display: none;
  position: absolute;
  top: 50%;
  left: 100%;

  padding: 0;
  block-size: 200%;
  border-radius: 50%;
  border: 0;

  aspect-ratio: 1/1;
  background: var(--white);

  transform: translate(-50%, -50%);
}

.slider:hover .slider-button {
  display: block;
}